Bug 561457 - (CVE-2010-0409) CVE-2010-0409 gmime, gmime22: Buffer overflow by calculating the maximum number of output bytes generated by an uuencode operation
CVE-2010-0409 gmime, gmime22: Buffer overflow by calculating the maximum numb...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://ftp.gnome.org/pub/GNOME/source...
impact=moderate,source=secunia,report...
: Security
Depends On: 566838
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-03 12:26 EST by Jan Lieskovsky
Modified: 2010-03-16 06:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-02-03 12:26:16 EST
Buffer overflow flaw was reported and fixed in the GMime library,
in the code part responsible for calculating the maximum number
of output bytes generated by an uuencode operation. 

If a local user was tricked into running a specially-crafted
application, using the library, it could lead to denial of
service (supplied application crash) or, potentially, to arbitrary
code execution with the privileges of the user running that
application.

Upstream v2.4.15 changes file:
  http://ftp.gnome.org/pub/GNOME/sources/gmime/2.4/gmime-2.4.15.changes

Diff between v2.4.14 and v2.4.15:
  http://ftp.gnome.org/pub/GNOME/sources/gmime/2.4/gmime-2.4.14-2.4.15.diff.gz

References:
  http://secunia.com/advisories/38459/
  http://ftp.gnome.org/pub/GNOME/sources/gmime/2.4/gmime-2.4.15.tar.gz

CVE Request:
  http://www.openwall.com/lists/oss-security/2010/02/03/2
Comment 1 Jan Lieskovsky 2010-02-03 12:32:41 EST
This issue affects the latest versions of the gmime and gmime22 packages,
as shipped with Fedora release of 11 (gmime-2.4.3-6.fc11, 
gmime22-2.2.23-5.fc11) and 12 (gmime-2.4.11-1.fc12, gmime22-2.2.23-7.fc12).

Please fix.

This issue does NOT affect the versions of the gmime package, as 
shipped within Extra Packages for Enterprise Linux -- EPEL-4
(gmime-2.2.1-2.el4) and EPEL-5 (gmime-2.2.3-3.1.el5) projects.
Comment 2 Fedora Update System 2010-02-03 21:27:21 EST
gmime22-2.2.23-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gmime22-2.2.23-8.fc11
Comment 3 Fedora Update System 2010-02-03 21:28:09 EST
gmime22-2.2.23-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gmime22-2.2.23-8.fc12
Comment 4 Jan Lieskovsky 2010-02-04 04:05:43 EST
This is CVE-2010-0409.
Comment 5 Fedora Update System 2010-02-04 20:17:47 EST
gmime22-2.2.23-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-02-04 20:39:47 EST
gmime22-2.2.23-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Lieskovsky 2010-03-16 06:45:36 EDT
Alex, Xavier, Bernard,

  could you please schedule F11 and F12 gmime updates?
(current gmime-2.4.3-6.fc11 and gmime-2.4.11-1.fc12 are
 still prone to this flaw).

Thanks && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team

Note You need to log in before you can comment on or make changes to this bug.